<?php

defined('_JEXEC') or die('Restricted access');

@include JPATH_ROOT.str_replace('/',DIRECTORY_SEPARATOR,'/components/com_payzito/includes/libraries/base.php');
if(!class_exists('PAConnector'))
{
    return;
}

$version = preg_replace('#[^0-9\.]#i','',JVERSION);
if(version_compare($version,'4.0.0','>=') && !class_exists('payzitoRouter'))
{
    class payzitoRouter extends Joomla\CMS\Component\Router\RouterBase
    {
        public function build(&$query)
        {
            return payzitoBuildRoute($query);
        }

        public function parse(&$segments)
        {
            return payzitoParseRoute($segments);
        }
    }
}

function payzitoBuildRoute(&$query)
{
    if(!class_exists('PAConnector'))
    {
        return [];
    }

    $segments = [];

    if(!empty($query['view']) && $query['view'] == 'pay')
    {
        PAGeneral::importLibrary('libraries/route');
        $route = new PARoute;
        $segments = $route->build($query);
    }

    unset($query['view']);

    return $segments;
}

function payzitoParseRoute(&$segments)
{
    if(!class_exists('PAConnector'))
    {
        return [];
    }

    if($segments[0])
    {
        $segments[0] = str_replace(':','-',$segments[0]);
    }

    PAGeneral::importLibrary('libraries/route');
    $route = new PARoute;
    $query = $route->parse($segments);

    $segments = [];

    return $query;
}